%define emacsdir	%{_prefix}/share/emacs/site-lisp
%define xemacsdir	%{_prefix}/share/xemacs/xemacs-packages/lisp/whizzytex
Version: 1.2.1
Release: 1.PU_IAS.4
Name: whizzytex
Summary: An Emacs minor-mode for incremental viewing of LaTeX documents
Source: %{name}-%{version}.tgz
Source1: %{name}-init.el
Patch: %{name}-1.1.2-PU_IAS.patch
Group: Applications/Publishing
URL: http://pauillac.inria.fr/whizzytex/
Copyright: GPL
Packager: <uphill@ias.edu>
Provides: whizzytex
Requires: tetex advi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: advi >= 1.6

%description 
WhizzyTeX is an Emacs minor mode for
incrementally viewing LaTeX documents that you are
editing. It works under Unix with gv and xdvi viewers, but
the Active-DVI viewer will provide
much better visual effects and offer more functionalities.

To turn on whizzytex mode by default, install whizzytex-init.el from the
whizzytex doc dir to /usr/share/emacs/site-lisp/site-start.d/whizzytex-init.el
or add the following lines to the end of your .emacs file
(load-library "whizzytex")
(add-to-list 'auto-mode-alist '("\\.tex$" . whizzytex-mode))

%package emacs
Group: Applications/Publishing
Requires: emacs
Summary: Emacs configuration files for whizzytex

%description emacs
Emacs configuration files for whizzytex.
                                                                                                                             
To turn on whizzytex mode by default, install whizzytex-init.el from the
whizzytex doc dir to /usr/share/emacs/site-lisp/site-start.d/whizzytex-init.el
or add the following lines to the end of your .emacs file
(load-library "whizzytex")
(add-to-list 'auto-mode-alist '("\\.tex$" . whizzytex-mode))

%package xemacs
Group: Applications/Publishing
Requires: xemacs
Summary: XEmacs configuration files for whizzytex

%description xemacs
XEmacs configuration files for whizzytex.
                                                                                                                             
To turn on whizzytex mode by default, install whizzytex-init.el from the
whizzytex doc dir to /usr/share/emacs/site-lisp/site-start.d/whizzytex-init.el
or add the following lines to the end of your .emacs file
(load-library "whizzytex")
(add-to-list 'auto-mode-alist '("\\.tex$" . whizzytex-mode))

%prep

%setup -q
#patch -p1
cp %{SOURCE1} doc

%build
./configure -prefix %{_prefix} -emacsdir %{emacsdir} -xemacsdir %{xemacsdir} -datadir %{_prefix}/share/texmf/tex
make all
cd doc

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_infodir}
cp -a doc/whizzytex.info* $RPM_BUILD_ROOT%{_infodir}/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/whizzytex

%clean
make clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/whizzytex.info.gz %{_infodir}/dir
texhash

%postun
/sbin/install-info -del %{_infodir}/whizzytex.info.gz %{_infodir}/dir
texhash

%files
%defattr(-,root,root)
%doc CHANGES COPYING GPL VERSION doc/*html doc/*gif doc/*pdf* doc/w*el
%dir %{_infodir}
%{_prefix}/bin/whizzytex
#{emacsdir}/whizzytex.el
#{xemacsdir}/whizzytex.el
%{_prefix}/share/texmf/tex/latex/whizzytex.sty
%{_infodir}/whizzytex.info*

%files emacs
%defattr(-,root,root)
%{emacsdir}/whizzytex.el

%files xemacs
%defattr(-,root,root)
%{xemacsdir}/whizzytex.el

%changelog
* Thu Aug 26 2004 Josko Plazonic <plazonic@math.princeton.edu>
- packaging fixes

* Sat Jun 19 2004 Josko Plazonic <plazonic@math.princeton.edu>
- new version, rpms for emacs and xemacs

* Mon Jun 16 2003 Thomas Uphill <uphill@ias.edu>
- first pass
